UbixOS V2 2.0

Data Fields
userFileDescriptorStruct Struct Reference

`#include <file.h>`

Collaboration diagram for userFileDescriptorStruct:

## Data Fields
struct fileDescriptor * | fd
uint32_t | fdSize

## Detailed Description

Definition at line 86 of file file.h.

## Field Documentation

## ◆ fd

struct fileDescriptor* userFileDescriptorStruct::fd

Definition at line 87 of file file.h.

Referenced by sys_fclose(), sys_fgetc(), sys_fopen(), sys_fread(), sys_fseek(), sys_fwrite(), and sysFwrite().

## ◆ fdSize

uint32_t userFileDescriptorStruct::fdSize

Definition at line 88 of file file.h.

Referenced by sys_fopen().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vfs/file.h